Skip to main content
`Ctrl`+`K`

# TSAdjointMonitorDefault

the default monitor of adjoint computations

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointMonitorDefault(TS ts, PetscInt step, PetscReal time, Vec v, PetscInt numcost, Vec lambda[], Vec mu[], PetscViewerAndFormat *vf)

## Input Parameters

- ts - the `TS` context

- step - iteration number (after the final time step the monitor routine is called with a step of -1, this is at the final time which may have been interpolated to)

- time - current time

- v - current iterate

- numcost - number of cost functions

- lambda - sensitivities to initial conditions

- mu - sensitivities to parameters

- vf - the viewer and format

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdjointSolve()`, `TSAdjointMonitorSet()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages